org.apache.ignite.internal.client.impl

## Class GridClientThreadFactory

- java.lang.Object
- - org.apache.ignite.internal.client.impl.GridClientThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class GridClientThreadFactory
    extends Object
    implements ThreadFactory

Delegating thread factory which forces all spawned thread to be daemons.

### Constructor Summary

Constructors
Constructor and Description
`GridClientThreadFactory(String name, boolean daemon)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridClientThreadFactory

    public GridClientThreadFactory(String name,
                                   boolean daemon)

Constructor.

Parameters:
  `name` - Name prefix.
  `daemon` - Daemon flag.

### Method Detail

#### newThread

    public Thread newThread(@NotNull
                            Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018